import { AppProvider, Page,Layout,Card,TextStyle,ResourceList,Thumbnail } from "@shopify/polaris";
import translations from '@shopify/polaris/locales/en.json';

function Example() {
  return (
    <AppProvider i18n={translations}>
      <link
        rel="stylesheet"
        href="https://unpkg.com/@shopify/polaris@latest/build/esm/styles.css"
      />
      <div
        style={{
    minHeight: "100vh",
    display: "flex",
    justifyContent: "center",
    alignItems: "center",
    padding: "0 50px",
  }}
      >
        <Page fullWidth>
  <Layout>
    <Layout.Section oneHalf>
      <Card title="Florida" actions={[{content: 'Manage'}]}>
        <Card.Section>
          <TextStyle variation="subdued">455 units available</TextStyle>
        </Card.Section>
        <Card.Section title="Items">
          <ResourceList
            resourceName={{singular: 'product', plural: 'products'}}
            items={[
              {
                id: 341,
                url: 'produdcts/341',
                name: 'Black & orange scarf',
                sku: '9234194023',
                quantity: '254',
                media: (
                  <Thumbnail
                    source="https://burst.shopifycdn.com/photos/black-orange-stripes_373x@2x.jpg"
                    alt="Black orange scarf"
                  />
                ),
              },
              {
                id: 256,
                url: 'produdcts/256',
                name: 'Tucan scarf',
                sku: '9234194010',
                quantity: '201',
                media: (
                  <Thumbnail
                    source="https://burst.shopifycdn.com/photos/tucan-scarf_373x@2x.jpg"
                    alt="Tucan scarf"
                  />
                ),
              },
            ]}
            renderItem={(item) => {
              const {id, url, name, sku, media, quantity} = item;

              return (
                <ResourceList.Item
                  id={id}
                  url={url}
                  media={media}
                  accessibilityLabel={`View details for ${name}`}
                >
                  <h3>
                    <TextStyle variation="strong">{name}</TextStyle>
                  </h3>
                  <div>SKU: {sku}</div>
                  <div>{quantity} available</div>
                </ResourceList.Item>
              );
            }}
          />
        </Card.Section>
      </Card>
    </Layout.Section>
    <Layout.Section oneHalf>
      <Card title="Nevada" actions={[{content: 'Manage'}]}>
        <Card.Section>
          <TextStyle variation="subdued">301 units available</TextStyle>
        </Card.Section>
        <Card.Section title="Items">
          <ResourceList
            resourceName={{singular: 'product', plural: 'products'}}
            items={[
              {
                id: 342,
                url: 'produdcts/342',
                name: 'Black & orange scarf',
                sku: '9234194023',
                quantity: '100',
                media: (
                  <Thumbnail
                    source="https://burst.shopifycdn.com/photos/black-orange-stripes_373x@2x.jpg"
                    alt="Black orange scarf"
                  />
                ),
              },
              {
                id: 257,
                url: 'produdcts/257',
                name: 'Tucan scarf',
                sku: '9234194010',
                quantity: '201',
                media: (
                  <Thumbnail
                    source="https://burst.shopifycdn.com/photos/tucan-scarf_373x@2x.jpg"
                    alt="Tucan scarf"
                  />
                ),
              },
            ]}
            renderItem={(item) => {
              const {id, url, name, sku, media, quantity} = item;

              return (
                <ResourceList.Item
                  id={id}
                  url={url}
                  media={media}
                  accessibilityLabel={`View details for ${name}`}
                >
                  <h3>
                    <TextStyle variation="strong">{name}</TextStyle>
                  </h3>
                  <div>SKU: {sku}</div>
                  <div>{quantity} available</div>
                </ResourceList.Item>
              );
            }}
          />
        </Card.Section>
      </Card>
    </Layout.Section>
  </Layout>
</Page>
      </div>
    </AppProvider>
  );
}

export default Example;
    